PPI::Transform::UpdateCopyright(3pm)

NAME
PPI::Transform::UpdateCopyright - Demonstration PPI::Transform class

SYNOPSIS
  my $transform = PPI::Transform::UpdateCopyright->new(
      name => 'Adam Kennedy'
  );

  $transform->file('Module.pm');

DESCRIPTION
PPI::Transform::UpdateCopyright provides a demonstration of a typical PPI::Transform class.

This class implements a document transform that will take the name of an author and update the copyright statement to refer to the current year, if it does not already do so.

METHODS

  new
  my $transform = PPI::Transform::UpdateCopyright->new(
      name => 'Adam Kennedy'
  );

The "new" constructor creates a new transform object for a specific author. It takes a single "name" parameter that should be the name (or longer string) for the author.

Specifying the name is required to allow the changing of a subset of copyright statements that refer to you from a larger set in a file.

  name
The "name" accessor returns the author name that the transform will be searching for copyright statements of.

TO DO
- May need to overload some methods to forcefully prevent Document objects becoming children of another Node.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2009 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.